From d3659d8adad267d45b5e5e365d8723b91f635f04 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 07:12:25 +0000
Subject: [PATCH 760/2232] Use 'implementation' instead of 'cxx' to refer to source files


---

diff --git a/gen/lib/tests/test.rs b/gen/lib/tests/test.rs
index e69c6fb..be2e60f 100644
--- a/gen/lib/tests/test.rs
+++ b/gen/lib/tests/test.rs
@@ -16,8 +16,8 @@ fn test_positive() {
     };
     let opt = Opt::default();
     let code = cxx_gen::generate_header_and_cc(rs, &opt).unwrap();
-    assert!(code.cxx.len() > 0);
     assert!(code.header.len() > 0);
+    assert!(code.implementation.len() > 0);
 }
 
 #[test]
diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index ff0f736..6a1354c 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -52,7 +52,7 @@ pub struct GeneratedCode {
     /// The bytes of a C++ header file.
     pub header: Vec<u8>,
     /// The bytes of a C++ implementation file (e.g. .cc, cpp etc.)
-    pub cxx: Vec<u8>,
+    pub implementation: Vec<u8>,
 }
 
 pub(super) fn do_generate_bridge(path: &Path, opt: &Opt) -> Vec<u8> {
@@ -84,14 +84,18 @@ fn generate_from_string(source: &str, opt: &Opt, header: bool) -> Result<Vec<u8>
     }
     let syntax: File = syn::parse_str(source)?;
     let generated = generate(syntax, opt, header, !header)?;
-    Ok(if header { generated.header } else { generated.cxx })
+    Ok(if header {
+        generated.header
+    } else {
+        generated.implementation
+    })
 }
 
 pub(super) fn generate(
     syntax: File,
     opt: &Opt,
     gen_header: bool,
-    gen_cxx: bool,
+    gen_implementation: bool,
 ) -> Result<GeneratedCode> {
     proc_macro2::fallback::force();
     let ref mut errors = Errors::new();
@@ -116,7 +120,7 @@ pub(super) fn generate(
         } else {
             Vec::new()
         },
-        cxx: if gen_cxx {
+        implementation: if gen_implementation {
             write::gen(namespace, apis, types, opt, false).content()
         } else {
             Vec::new()

